Package com.destroystokyo.paper.event.profile

# Class FillProfileEvent

java.lang.Object
org.bukkit.event.Event
com.destroystokyo.paper.event.profile.FillProfileEvent

public class FillProfileEvent extends Event
Fired once a profiles additional properties (such as textures) has been filled

## Nested Class Summary

## Nested classes/interfaces inherited from class org.bukkit.event.Event

`Event.Result`

## Constructor Summary

Constructors
Constructor
Description
`FillProfileEvent(@NotNull PlayerProfile profile)`

## Method Summary

Modifier and Type
Method
Description
`static @NotNull HandlerList`
`getHandlerList()`
`@NotNull HandlerList`
`getHandlers()`
`@NotNull PlayerProfile`
`getPlayerProfile()`
`@NotNull Set<ProfileProperty>`
`getProperties()`
Same as .getPlayerProfile().getProperties()

### Methods inherited from class org.bukkit.event.Event

`callEvent, getEventName, isAsynchronous`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### FillProfileEvent

public FillProfileEvent(@NotNull @NotNull PlayerProfile profile)

## Method Details

### getPlayerProfile

@NotNull public @NotNull PlayerProfile getPlayerProfile()

Returns:
  The Profile that had properties filled

### getProperties

@NotNull public @NotNull Set<ProfileProperty> getProperties()
Same as .getPlayerProfile().getProperties()

Returns:
  The new properties on the profile.
See Also:
  - `PlayerProfile.getProperties()`

### getHandlers

@NotNull public @NotNull HandlerList getHandlers()

Specified by:
  `getHandlers` in class `Event`

### getHandlerList

@NotNull public static @NotNull HandlerList getHandlerList()